﻿//------------------------------------------------------------------------------
// <autogenerated>
//     This code was generated by a tool.
//     Runtime Version: 1.1.4322.2503
//
//     Changes to this file may cause incorrect behavior and will be lost if 
//     the code is regenerated.
// </autogenerated>
//------------------------------------------------------------------------------

namespace TIES.WebUI {
    using System;
    using System.Data;
    using System.Xml;
    using System.Runtime.Serialization;
    
    
    [Serializable()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Diagnostics.DebuggerStepThrough()]
    [System.ComponentModel.ToolboxItem(true)]
    public class CSS_PreprintConsNotes2 : DataSet {
        
        private CSS_PrintConsNotes1DataTable tableCSS_PrintConsNotes1;
        
        public CSS_PreprintConsNotes2() {
            this.InitClass();
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }
        
        protected CSS_PreprintConsNotes2(SerializationInfo info, StreamingContext context) {
            string strSchema = ((string)(info.GetValue("XmlSchema", typeof(string))));
            if ((strSchema != null)) {
                DataSet ds = new DataSet();
                ds.ReadXmlSchema(new XmlTextReader(new System.IO.StringReader(strSchema)));
                if ((ds.Tables["CSS_PrintConsNotes1"] != null)) {
                    this.Tables.Add(new CSS_PrintConsNotes1DataTable(ds.Tables["CSS_PrintConsNotes1"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else {
                this.InitClass();
            }
            this.GetSerializationData(info, context);
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }
        
        [System.ComponentModel.Browsable(false)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Content)]
        public CSS_PrintConsNotes1DataTable CSS_PrintConsNotes1 {
            get {
                return this.tableCSS_PrintConsNotes1;
            }
        }
        
        public override DataSet Clone() {
            CSS_PreprintConsNotes2 cln = ((CSS_PreprintConsNotes2)(base.Clone()));
            cln.InitVars();
            return cln;
        }
        
        protected override bool ShouldSerializeTables() {
            return false;
        }
        
        protected override bool ShouldSerializeRelations() {
            return false;
        }
        
        protected override void ReadXmlSerializable(XmlReader reader) {
            this.Reset();
            DataSet ds = new DataSet();
            ds.ReadXml(reader);
            if ((ds.Tables["CSS_PrintConsNotes1"] != null)) {
                this.Tables.Add(new CSS_PrintConsNotes1DataTable(ds.Tables["CSS_PrintConsNotes1"]));
            }
            this.DataSetName = ds.DataSetName;
            this.Prefix = ds.Prefix;
            this.Namespace = ds.Namespace;
            this.Locale = ds.Locale;
            this.CaseSensitive = ds.CaseSensitive;
            this.EnforceConstraints = ds.EnforceConstraints;
            this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
            this.InitVars();
        }
        
        protected override System.Xml.Schema.XmlSchema GetSchemaSerializable() {
            System.IO.MemoryStream stream = new System.IO.MemoryStream();
            this.WriteXmlSchema(new XmlTextWriter(stream, null));
            stream.Position = 0;
            return System.Xml.Schema.XmlSchema.Read(new XmlTextReader(stream), null);
        }
        
        internal void InitVars() {
            this.tableCSS_PrintConsNotes1 = ((CSS_PrintConsNotes1DataTable)(this.Tables["CSS_PrintConsNotes1"]));
            if ((this.tableCSS_PrintConsNotes1 != null)) {
                this.tableCSS_PrintConsNotes1.InitVars();
            }
        }
        
        private void InitClass() {
            this.DataSetName = "CSS_PreprintConsNotes2";
            this.Prefix = "";
            this.Namespace = "http://tempuri.org/CSS_PreprintConsNotes2.xsd";
            this.Locale = new System.Globalization.CultureInfo("en-US");
            this.CaseSensitive = false;
            this.EnforceConstraints = true;
            this.tableCSS_PrintConsNotes1 = new CSS_PrintConsNotes1DataTable();
            this.Tables.Add(this.tableCSS_PrintConsNotes1);
        }
        
        private bool ShouldSerializeCSS_PrintConsNotes1() {
            return false;
        }
        
        private void SchemaChanged(object sender, System.ComponentModel.CollectionChangeEventArgs e) {
            if ((e.Action == System.ComponentModel.CollectionChangeAction.Remove)) {
                this.InitVars();
            }
        }
        
        public delegate void CSS_PrintConsNotes1RowChangeEventHandler(object sender, CSS_PrintConsNotes1RowChangeEvent e);
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class CSS_PrintConsNotes1DataTable : DataTable, System.Collections.IEnumerable {
            
            private DataColumn columnconsignment_no;
            
            private DataColumn columnpayerid;
            
            private DataColumn columnservice_code;
            
            private DataColumn columnref_no;
            
            private DataColumn columnsender_name;
            
            private DataColumn columnsender_address1;
            
            private DataColumn columnsender_address2;
            
            private DataColumn columnsender_zipcode;
            
            private DataColumn columnsender_state;
            
            private DataColumn columnsender_telephone;
            
            private DataColumn columnsender_fax;
            
            private DataColumn columnsender_contact_person;
            
            private DataColumn columnsender_email;
            
            private DataColumn columnrecipient_telephone;
            
            private DataColumn columnrecipient_name;
            
            private DataColumn columnrecipient_address1;
            
            private DataColumn columnrecipient_address2;
            
            private DataColumn columnrecipient_zipcode;
            
            private DataColumn columnrecipient_state;
            
            private DataColumn columnrecipient_fax;
            
            private DataColumn columnrecipient_contact_person;
            
            private DataColumn columndeclare_value;
            
            private DataColumn columncod_amount;
            
            private DataColumn columnremark;
            
            private DataColumn columnreturn_pod_slip;
            
            private DataColumn columnreturn_invoice_hc;
            
            private DataColumn columnDangerousGoods;
            
            private DataColumn columnMoreInfo;
            
            private DataColumn columnMorePkgs;
            
            private DataColumn columnQty1;
            
            private DataColumn columnWgt1;
            
            private DataColumn columnQty2;
            
            private DataColumn columnWgt2;
            
            private DataColumn columnQty3;
            
            private DataColumn columnWgt3;
            
            private DataColumn columnQty4;
            
            private DataColumn columnWgt4;
            
            private DataColumn columnQty5;
            
            private DataColumn columnWgt5;
            
            private DataColumn columnQty6;
            
            private DataColumn columnWgt6;
            
            private DataColumn columnQty7;
            
            private DataColumn columnWgt7;
            
            private DataColumn columnQty8;
            
            private DataColumn columnWgt8;
            
            private DataColumn columnQty;
            
            private DataColumn columnWgt;
            
            private DataColumn columnCopyName;
            
            internal CSS_PrintConsNotes1DataTable() : 
                    base("CSS_PrintConsNotes1") {
                this.InitClass();
            }
            
            internal CSS_PrintConsNotes1DataTable(DataTable table) : 
                    base(table.TableName) {
                if ((table.CaseSensitive != table.DataSet.CaseSensitive)) {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString())) {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace)) {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
                this.DisplayExpression = table.DisplayExpression;
            }
            
            [System.ComponentModel.Browsable(false)]
            public int Count {
                get {
                    return this.Rows.Count;
                }
            }
            
            internal DataColumn consignment_noColumn {
                get {
                    return this.columnconsignment_no;
                }
            }
            
            internal DataColumn payeridColumn {
                get {
                    return this.columnpayerid;
                }
            }
            
            internal DataColumn service_codeColumn {
                get {
                    return this.columnservice_code;
                }
            }
            
            internal DataColumn ref_noColumn {
                get {
                    return this.columnref_no;
                }
            }
            
            internal DataColumn sender_nameColumn {
                get {
                    return this.columnsender_name;
                }
            }
            
            internal DataColumn sender_address1Column {
                get {
                    return this.columnsender_address1;
                }
            }
            
            internal DataColumn sender_address2Column {
                get {
                    return this.columnsender_address2;
                }
            }
            
            internal DataColumn sender_zipcodeColumn {
                get {
                    return this.columnsender_zipcode;
                }
            }
            
            internal DataColumn sender_stateColumn {
                get {
                    return this.columnsender_state;
                }
            }
            
            internal DataColumn sender_telephoneColumn {
                get {
                    return this.columnsender_telephone;
                }
            }
            
            internal DataColumn sender_faxColumn {
                get {
                    return this.columnsender_fax;
                }
            }
            
            internal DataColumn sender_contact_personColumn {
                get {
                    return this.columnsender_contact_person;
                }
            }
            
            internal DataColumn sender_emailColumn {
                get {
                    return this.columnsender_email;
                }
            }
            
            internal DataColumn recipient_telephoneColumn {
                get {
                    return this.columnrecipient_telephone;
                }
            }
            
            internal DataColumn recipient_nameColumn {
                get {
                    return this.columnrecipient_name;
                }
            }
            
            internal DataColumn recipient_address1Column {
                get {
                    return this.columnrecipient_address1;
                }
            }
            
            internal DataColumn recipient_address2Column {
                get {
                    return this.columnrecipient_address2;
                }
            }
            
            internal DataColumn recipient_zipcodeColumn {
                get {
                    return this.columnrecipient_zipcode;
                }
            }
            
            internal DataColumn recipient_stateColumn {
                get {
                    return this.columnrecipient_state;
                }
            }
            
            internal DataColumn recipient_faxColumn {
                get {
                    return this.columnrecipient_fax;
                }
            }
            
            internal DataColumn recipient_contact_personColumn {
                get {
                    return this.columnrecipient_contact_person;
                }
            }
            
            internal DataColumn declare_valueColumn {
                get {
                    return this.columndeclare_value;
                }
            }
            
            internal DataColumn cod_amountColumn {
                get {
                    return this.columncod_amount;
                }
            }
            
            internal DataColumn remarkColumn {
                get {
                    return this.columnremark;
                }
            }
            
            internal DataColumn return_pod_slipColumn {
                get {
                    return this.columnreturn_pod_slip;
                }
            }
            
            internal DataColumn return_invoice_hcColumn {
                get {
                    return this.columnreturn_invoice_hc;
                }
            }
            
            internal DataColumn DangerousGoodsColumn {
                get {
                    return this.columnDangerousGoods;
                }
            }
            
            internal DataColumn MoreInfoColumn {
                get {
                    return this.columnMoreInfo;
                }
            }
            
            internal DataColumn MorePkgsColumn {
                get {
                    return this.columnMorePkgs;
                }
            }
            
            internal DataColumn Qty1Column {
                get {
                    return this.columnQty1;
                }
            }
            
            internal DataColumn Wgt1Column {
                get {
                    return this.columnWgt1;
                }
            }
            
            internal DataColumn Qty2Column {
                get {
                    return this.columnQty2;
                }
            }
            
            internal DataColumn Wgt2Column {
                get {
                    return this.columnWgt2;
                }
            }
            
            internal DataColumn Qty3Column {
                get {
                    return this.columnQty3;
                }
            }
            
            internal DataColumn Wgt3Column {
                get {
                    return this.columnWgt3;
                }
            }
            
            internal DataColumn Qty4Column {
                get {
                    return this.columnQty4;
                }
            }
            
            internal DataColumn Wgt4Column {
                get {
                    return this.columnWgt4;
                }
            }
            
            internal DataColumn Qty5Column {
                get {
                    return this.columnQty5;
                }
            }
            
            internal DataColumn Wgt5Column {
                get {
                    return this.columnWgt5;
                }
            }
            
            internal DataColumn Qty6Column {
                get {
                    return this.columnQty6;
                }
            }
            
            internal DataColumn Wgt6Column {
                get {
                    return this.columnWgt6;
                }
            }
            
            internal DataColumn Qty7Column {
                get {
                    return this.columnQty7;
                }
            }
            
            internal DataColumn Wgt7Column {
                get {
                    return this.columnWgt7;
                }
            }
            
            internal DataColumn Qty8Column {
                get {
                    return this.columnQty8;
                }
            }
            
            internal DataColumn Wgt8Column {
                get {
                    return this.columnWgt8;
                }
            }
            
            internal DataColumn QtyColumn {
                get {
                    return this.columnQty;
                }
            }
            
            internal DataColumn WgtColumn {
                get {
                    return this.columnWgt;
                }
            }
            
            internal DataColumn CopyNameColumn {
                get {
                    return this.columnCopyName;
                }
            }
            
            public CSS_PrintConsNotes1Row this[int index] {
                get {
                    return ((CSS_PrintConsNotes1Row)(this.Rows[index]));
                }
            }
            
            public event CSS_PrintConsNotes1RowChangeEventHandler CSS_PrintConsNotes1RowChanged;
            
            public event CSS_PrintConsNotes1RowChangeEventHandler CSS_PrintConsNotes1RowChanging;
            
            public event CSS_PrintConsNotes1RowChangeEventHandler CSS_PrintConsNotes1RowDeleted;
            
            public event CSS_PrintConsNotes1RowChangeEventHandler CSS_PrintConsNotes1RowDeleting;
            
            public void AddCSS_PrintConsNotes1Row(CSS_PrintConsNotes1Row row) {
                this.Rows.Add(row);
            }
            
            public CSS_PrintConsNotes1Row AddCSS_PrintConsNotes1Row(
                        string consignment_no, 
                        string payerid, 
                        string service_code, 
                        string ref_no, 
                        string sender_name, 
                        string sender_address1, 
                        string sender_address2, 
                        string sender_zipcode, 
                        string sender_state, 
                        string sender_telephone, 
                        string sender_fax, 
                        string sender_contact_person, 
                        string sender_email, 
                        string recipient_telephone, 
                        string recipient_name, 
                        string recipient_address1, 
                        string recipient_address2, 
                        string recipient_zipcode, 
                        string recipient_state, 
                        string recipient_fax, 
                        string recipient_contact_person, 
                        System.Decimal declare_value, 
                        System.Decimal cod_amount, 
                        string remark, 
                        string return_pod_slip, 
                        string return_invoice_hc, 
                        System.Byte DangerousGoods, 
                        string MoreInfo, 
                        string MorePkgs, 
                        int Qty1, 
                        System.Decimal Wgt1, 
                        int Qty2, 
                        System.Decimal Wgt2, 
                        int Qty3, 
                        System.Decimal Wgt3, 
                        int Qty4, 
                        System.Decimal Wgt4, 
                        int Qty5, 
                        System.Decimal Wgt5, 
                        int Qty6, 
                        System.Decimal Wgt6, 
                        int Qty7, 
                        System.Decimal Wgt7, 
                        int Qty8, 
                        System.Decimal Wgt8, 
                        int Qty, 
                        System.Decimal Wgt, 
                        string CopyName) {
                CSS_PrintConsNotes1Row rowCSS_PrintConsNotes1Row = ((CSS_PrintConsNotes1Row)(this.NewRow()));
                rowCSS_PrintConsNotes1Row.ItemArray = new object[] {
                        consignment_no,
                        payerid,
                        service_code,
                        ref_no,
                        sender_name,
                        sender_address1,
                        sender_address2,
                        sender_zipcode,
                        sender_state,
                        sender_telephone,
                        sender_fax,
                        sender_contact_person,
                        sender_email,
                        recipient_telephone,
                        recipient_name,
                        recipient_address1,
                        recipient_address2,
                        recipient_zipcode,
                        recipient_state,
                        recipient_fax,
                        recipient_contact_person,
                        declare_value,
                        cod_amount,
                        remark,
                        return_pod_slip,
                        return_invoice_hc,
                        DangerousGoods,
                        MoreInfo,
                        MorePkgs,
                        Qty1,
                        Wgt1,
                        Qty2,
                        Wgt2,
                        Qty3,
                        Wgt3,
                        Qty4,
                        Wgt4,
                        Qty5,
                        Wgt5,
                        Qty6,
                        Wgt6,
                        Qty7,
                        Wgt7,
                        Qty8,
                        Wgt8,
                        Qty,
                        Wgt,
                        CopyName};
                this.Rows.Add(rowCSS_PrintConsNotes1Row);
                return rowCSS_PrintConsNotes1Row;
            }
            
            public System.Collections.IEnumerator GetEnumerator() {
                return this.Rows.GetEnumerator();
            }
            
            public override DataTable Clone() {
                CSS_PrintConsNotes1DataTable cln = ((CSS_PrintConsNotes1DataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }
            
            protected override DataTable CreateInstance() {
                return new CSS_PrintConsNotes1DataTable();
            }
            
            internal void InitVars() {
                this.columnconsignment_no = this.Columns["consignment_no"];
                this.columnpayerid = this.Columns["payerid"];
                this.columnservice_code = this.Columns["service_code"];
                this.columnref_no = this.Columns["ref_no"];
                this.columnsender_name = this.Columns["sender_name"];
                this.columnsender_address1 = this.Columns["sender_address1"];
                this.columnsender_address2 = this.Columns["sender_address2"];
                this.columnsender_zipcode = this.Columns["sender_zipcode"];
                this.columnsender_state = this.Columns["sender_state"];
                this.columnsender_telephone = this.Columns["sender_telephone"];
                this.columnsender_fax = this.Columns["sender_fax"];
                this.columnsender_contact_person = this.Columns["sender_contact_person"];
                this.columnsender_email = this.Columns["sender_email"];
                this.columnrecipient_telephone = this.Columns["recipient_telephone"];
                this.columnrecipient_name = this.Columns["recipient_name"];
                this.columnrecipient_address1 = this.Columns["recipient_address1"];
                this.columnrecipient_address2 = this.Columns["recipient_address2"];
                this.columnrecipient_zipcode = this.Columns["recipient_zipcode"];
                this.columnrecipient_state = this.Columns["recipient_state"];
                this.columnrecipient_fax = this.Columns["recipient_fax"];
                this.columnrecipient_contact_person = this.Columns["recipient_contact_person"];
                this.columndeclare_value = this.Columns["declare_value"];
                this.columncod_amount = this.Columns["cod_amount"];
                this.columnremark = this.Columns["remark"];
                this.columnreturn_pod_slip = this.Columns["return_pod_slip"];
                this.columnreturn_invoice_hc = this.Columns["return_invoice_hc"];
                this.columnDangerousGoods = this.Columns["DangerousGoods"];
                this.columnMoreInfo = this.Columns["MoreInfo"];
                this.columnMorePkgs = this.Columns["MorePkgs"];
                this.columnQty1 = this.Columns["Qty1"];
                this.columnWgt1 = this.Columns["Wgt1"];
                this.columnQty2 = this.Columns["Qty2"];
                this.columnWgt2 = this.Columns["Wgt2"];
                this.columnQty3 = this.Columns["Qty3"];
                this.columnWgt3 = this.Columns["Wgt3"];
                this.columnQty4 = this.Columns["Qty4"];
                this.columnWgt4 = this.Columns["Wgt4"];
                this.columnQty5 = this.Columns["Qty5"];
                this.columnWgt5 = this.Columns["Wgt5"];
                this.columnQty6 = this.Columns["Qty6"];
                this.columnWgt6 = this.Columns["Wgt6"];
                this.columnQty7 = this.Columns["Qty7"];
                this.columnWgt7 = this.Columns["Wgt7"];
                this.columnQty8 = this.Columns["Qty8"];
                this.columnWgt8 = this.Columns["Wgt8"];
                this.columnQty = this.Columns["Qty"];
                this.columnWgt = this.Columns["Wgt"];
                this.columnCopyName = this.Columns["CopyName"];
            }
            
            private void InitClass() {
                this.columnconsignment_no = new DataColumn("consignment_no", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnconsignment_no);
                this.columnpayerid = new DataColumn("payerid", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnpayerid);
                this.columnservice_code = new DataColumn("service_code", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnservice_code);
                this.columnref_no = new DataColumn("ref_no", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnref_no);
                this.columnsender_name = new DataColumn("sender_name", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsender_name);
                this.columnsender_address1 = new DataColumn("sender_address1", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsender_address1);
                this.columnsender_address2 = new DataColumn("sender_address2", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsender_address2);
                this.columnsender_zipcode = new DataColumn("sender_zipcode", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsender_zipcode);
                this.columnsender_state = new DataColumn("sender_state", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsender_state);
                this.columnsender_telephone = new DataColumn("sender_telephone", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsender_telephone);
                this.columnsender_fax = new DataColumn("sender_fax", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsender_fax);
                this.columnsender_contact_person = new DataColumn("sender_contact_person", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsender_contact_person);
                this.columnsender_email = new DataColumn("sender_email", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsender_email);
                this.columnrecipient_telephone = new DataColumn("recipient_telephone", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnrecipient_telephone);
                this.columnrecipient_name = new DataColumn("recipient_name", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnrecipient_name);
                this.columnrecipient_address1 = new DataColumn("recipient_address1", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnrecipient_address1);
                this.columnrecipient_address2 = new DataColumn("recipient_address2", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnrecipient_address2);
                this.columnrecipient_zipcode = new DataColumn("recipient_zipcode", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnrecipient_zipcode);
                this.columnrecipient_state = new DataColumn("recipient_state", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnrecipient_state);
                this.columnrecipient_fax = new DataColumn("recipient_fax", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnrecipient_fax);
                this.columnrecipient_contact_person = new DataColumn("recipient_contact_person", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnrecipient_contact_person);
                this.columndeclare_value = new DataColumn("declare_value", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columndeclare_value);
                this.columncod_amount = new DataColumn("cod_amount", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columncod_amount);
                this.columnremark = new DataColumn("remark", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnremark);
                this.columnreturn_pod_slip = new DataColumn("return_pod_slip", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnreturn_pod_slip);
                this.columnreturn_invoice_hc = new DataColumn("return_invoice_hc", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnreturn_invoice_hc);
                this.columnDangerousGoods = new DataColumn("DangerousGoods", typeof(System.Byte), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnDangerousGoods);
                this.columnMoreInfo = new DataColumn("MoreInfo", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnMoreInfo);
                this.columnMorePkgs = new DataColumn("MorePkgs", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnMorePkgs);
                this.columnQty1 = new DataColumn("Qty1", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnQty1);
                this.columnWgt1 = new DataColumn("Wgt1", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnWgt1);
                this.columnQty2 = new DataColumn("Qty2", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnQty2);
                this.columnWgt2 = new DataColumn("Wgt2", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnWgt2);
                this.columnQty3 = new DataColumn("Qty3", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnQty3);
                this.columnWgt3 = new DataColumn("Wgt3", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnWgt3);
                this.columnQty4 = new DataColumn("Qty4", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnQty4);
                this.columnWgt4 = new DataColumn("Wgt4", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnWgt4);
                this.columnQty5 = new DataColumn("Qty5", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnQty5);
                this.columnWgt5 = new DataColumn("Wgt5", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnWgt5);
                this.columnQty6 = new DataColumn("Qty6", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnQty6);
                this.columnWgt6 = new DataColumn("Wgt6", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnWgt6);
                this.columnQty7 = new DataColumn("Qty7", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnQty7);
                this.columnWgt7 = new DataColumn("Wgt7", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnWgt7);
                this.columnQty8 = new DataColumn("Qty8", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnQty8);
                this.columnWgt8 = new DataColumn("Wgt8", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnWgt8);
                this.columnQty = new DataColumn("Qty", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnQty);
                this.columnWgt = new DataColumn("Wgt", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnWgt);
                this.columnCopyName = new DataColumn("CopyName", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnCopyName);
                this.columnconsignment_no.AllowDBNull = false;
                this.columnpayerid.AllowDBNull = false;
            }
            
            public CSS_PrintConsNotes1Row NewCSS_PrintConsNotes1Row() {
                return ((CSS_PrintConsNotes1Row)(this.NewRow()));
            }
            
            protected override DataRow NewRowFromBuilder(DataRowBuilder builder) {
                return new CSS_PrintConsNotes1Row(builder);
            }
            
            protected override System.Type GetRowType() {
                return typeof(CSS_PrintConsNotes1Row);
            }
            
            protected override void OnRowChanged(DataRowChangeEventArgs e) {
                base.OnRowChanged(e);
                if ((this.CSS_PrintConsNotes1RowChanged != null)) {
                    this.CSS_PrintConsNotes1RowChanged(this, new CSS_PrintConsNotes1RowChangeEvent(((CSS_PrintConsNotes1Row)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowChanging(DataRowChangeEventArgs e) {
                base.OnRowChanging(e);
                if ((this.CSS_PrintConsNotes1RowChanging != null)) {
                    this.CSS_PrintConsNotes1RowChanging(this, new CSS_PrintConsNotes1RowChangeEvent(((CSS_PrintConsNotes1Row)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleted(DataRowChangeEventArgs e) {
                base.OnRowDeleted(e);
                if ((this.CSS_PrintConsNotes1RowDeleted != null)) {
                    this.CSS_PrintConsNotes1RowDeleted(this, new CSS_PrintConsNotes1RowChangeEvent(((CSS_PrintConsNotes1Row)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleting(DataRowChangeEventArgs e) {
                base.OnRowDeleting(e);
                if ((this.CSS_PrintConsNotes1RowDeleting != null)) {
                    this.CSS_PrintConsNotes1RowDeleting(this, new CSS_PrintConsNotes1RowChangeEvent(((CSS_PrintConsNotes1Row)(e.Row)), e.Action));
                }
            }
            
            public void RemoveCSS_PrintConsNotes1Row(CSS_PrintConsNotes1Row row) {
                this.Rows.Remove(row);
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class CSS_PrintConsNotes1Row : DataRow {
            
            private CSS_PrintConsNotes1DataTable tableCSS_PrintConsNotes1;
            
            internal CSS_PrintConsNotes1Row(DataRowBuilder rb) : 
                    base(rb) {
                this.tableCSS_PrintConsNotes1 = ((CSS_PrintConsNotes1DataTable)(this.Table));
            }
            
            public string consignment_no {
                get {
                    return ((string)(this[this.tableCSS_PrintConsNotes1.consignment_noColumn]));
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.consignment_noColumn] = value;
                }
            }
            
            public string payerid {
                get {
                    return ((string)(this[this.tableCSS_PrintConsNotes1.payeridColumn]));
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.payeridColumn] = value;
                }
            }
            
            public string service_code {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.service_codeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.service_codeColumn] = value;
                }
            }
            
            public string ref_no {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.ref_noColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.ref_noColumn] = value;
                }
            }
            
            public string sender_name {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.sender_nameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.sender_nameColumn] = value;
                }
            }
            
            public string sender_address1 {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.sender_address1Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.sender_address1Column] = value;
                }
            }
            
            public string sender_address2 {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.sender_address2Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.sender_address2Column] = value;
                }
            }
            
            public string sender_zipcode {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.sender_zipcodeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.sender_zipcodeColumn] = value;
                }
            }
            
            public string sender_state {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.sender_stateColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.sender_stateColumn] = value;
                }
            }
            
            public string sender_telephone {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.sender_telephoneColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.sender_telephoneColumn] = value;
                }
            }
            
            public string sender_fax {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.sender_faxColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.sender_faxColumn] = value;
                }
            }
            
            public string sender_contact_person {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.sender_contact_personColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.sender_contact_personColumn] = value;
                }
            }
            
            public string sender_email {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.sender_emailColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.sender_emailColumn] = value;
                }
            }
            
            public string recipient_telephone {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.recipient_telephoneColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.recipient_telephoneColumn] = value;
                }
            }
            
            public string recipient_name {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.recipient_nameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.recipient_nameColumn] = value;
                }
            }
            
            public string recipient_address1 {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.recipient_address1Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.recipient_address1Column] = value;
                }
            }
            
            public string recipient_address2 {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.recipient_address2Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.recipient_address2Column] = value;
                }
            }
            
            public string recipient_zipcode {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.recipient_zipcodeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.recipient_zipcodeColumn] = value;
                }
            }
            
            public string recipient_state {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.recipient_stateColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.recipient_stateColumn] = value;
                }
            }
            
            public string recipient_fax {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.recipient_faxColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.recipient_faxColumn] = value;
                }
            }
            
            public string recipient_contact_person {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.recipient_contact_personColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.recipient_contact_personColumn] = value;
                }
            }
            
            public System.Decimal declare_value {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableCSS_PrintConsNotes1.declare_valueColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.declare_valueColumn] = value;
                }
            }
            
            public System.Decimal cod_amount {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableCSS_PrintConsNotes1.cod_amountColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.cod_amountColumn] = value;
                }
            }
            
            public string remark {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.remarkColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.remarkColumn] = value;
                }
            }
            
            public string return_pod_slip {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.return_pod_slipColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.return_pod_slipColumn] = value;
                }
            }
            
            public string return_invoice_hc {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.return_invoice_hcColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.return_invoice_hcColumn] = value;
                }
            }
            
            public System.Byte DangerousGoods {
                get {
                    try {
                        return ((System.Byte)(this[this.tableCSS_PrintConsNotes1.DangerousGoodsColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.DangerousGoodsColumn] = value;
                }
            }
            
            public string MoreInfo {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.MoreInfoColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.MoreInfoColumn] = value;
                }
            }
            
            public string MorePkgs {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.MorePkgsColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.MorePkgsColumn] = value;
                }
            }
            
            public int Qty1 {
                get {
                    try {
                        return ((int)(this[this.tableCSS_PrintConsNotes1.Qty1Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.Qty1Column] = value;
                }
            }
            
            public System.Decimal Wgt1 {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableCSS_PrintConsNotes1.Wgt1Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.Wgt1Column] = value;
                }
            }
            
            public int Qty2 {
                get {
                    try {
                        return ((int)(this[this.tableCSS_PrintConsNotes1.Qty2Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.Qty2Column] = value;
                }
            }
            
            public System.Decimal Wgt2 {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableCSS_PrintConsNotes1.Wgt2Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.Wgt2Column] = value;
                }
            }
            
            public int Qty3 {
                get {
                    try {
                        return ((int)(this[this.tableCSS_PrintConsNotes1.Qty3Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.Qty3Column] = value;
                }
            }
            
            public System.Decimal Wgt3 {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableCSS_PrintConsNotes1.Wgt3Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.Wgt3Column] = value;
                }
            }
            
            public int Qty4 {
                get {
                    try {
                        return ((int)(this[this.tableCSS_PrintConsNotes1.Qty4Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.Qty4Column] = value;
                }
            }
            
            public System.Decimal Wgt4 {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableCSS_PrintConsNotes1.Wgt4Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.Wgt4Column] = value;
                }
            }
            
            public int Qty5 {
                get {
                    try {
                        return ((int)(this[this.tableCSS_PrintConsNotes1.Qty5Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.Qty5Column] = value;
                }
            }
            
            public System.Decimal Wgt5 {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableCSS_PrintConsNotes1.Wgt5Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.Wgt5Column] = value;
                }
            }
            
            public int Qty6 {
                get {
                    try {
                        return ((int)(this[this.tableCSS_PrintConsNotes1.Qty6Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.Qty6Column] = value;
                }
            }
            
            public System.Decimal Wgt6 {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableCSS_PrintConsNotes1.Wgt6Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.Wgt6Column] = value;
                }
            }
            
            public int Qty7 {
                get {
                    try {
                        return ((int)(this[this.tableCSS_PrintConsNotes1.Qty7Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.Qty7Column] = value;
                }
            }
            
            public System.Decimal Wgt7 {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableCSS_PrintConsNotes1.Wgt7Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.Wgt7Column] = value;
                }
            }
            
            public int Qty8 {
                get {
                    try {
                        return ((int)(this[this.tableCSS_PrintConsNotes1.Qty8Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.Qty8Column] = value;
                }
            }
            
            public System.Decimal Wgt8 {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableCSS_PrintConsNotes1.Wgt8Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.Wgt8Column] = value;
                }
            }
            
            public int Qty {
                get {
                    try {
                        return ((int)(this[this.tableCSS_PrintConsNotes1.QtyColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.QtyColumn] = value;
                }
            }
            
            public System.Decimal Wgt {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableCSS_PrintConsNotes1.WgtColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.WgtColumn] = value;
                }
            }
            
            public string CopyName {
                get {
                    try {
                        return ((string)(this[this.tableCSS_PrintConsNotes1.CopyNameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableCSS_PrintConsNotes1.CopyNameColumn] = value;
                }
            }
            
            public bool Isservice_codeNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.service_codeColumn);
            }
            
            public void Setservice_codeNull() {
                this[this.tableCSS_PrintConsNotes1.service_codeColumn] = System.Convert.DBNull;
            }
            
            public bool Isref_noNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.ref_noColumn);
            }
            
            public void Setref_noNull() {
                this[this.tableCSS_PrintConsNotes1.ref_noColumn] = System.Convert.DBNull;
            }
            
            public bool Issender_nameNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.sender_nameColumn);
            }
            
            public void Setsender_nameNull() {
                this[this.tableCSS_PrintConsNotes1.sender_nameColumn] = System.Convert.DBNull;
            }
            
            public bool Issender_address1Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.sender_address1Column);
            }
            
            public void Setsender_address1Null() {
                this[this.tableCSS_PrintConsNotes1.sender_address1Column] = System.Convert.DBNull;
            }
            
            public bool Issender_address2Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.sender_address2Column);
            }
            
            public void Setsender_address2Null() {
                this[this.tableCSS_PrintConsNotes1.sender_address2Column] = System.Convert.DBNull;
            }
            
            public bool Issender_zipcodeNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.sender_zipcodeColumn);
            }
            
            public void Setsender_zipcodeNull() {
                this[this.tableCSS_PrintConsNotes1.sender_zipcodeColumn] = System.Convert.DBNull;
            }
            
            public bool Issender_stateNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.sender_stateColumn);
            }
            
            public void Setsender_stateNull() {
                this[this.tableCSS_PrintConsNotes1.sender_stateColumn] = System.Convert.DBNull;
            }
            
            public bool Issender_telephoneNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.sender_telephoneColumn);
            }
            
            public void Setsender_telephoneNull() {
                this[this.tableCSS_PrintConsNotes1.sender_telephoneColumn] = System.Convert.DBNull;
            }
            
            public bool Issender_faxNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.sender_faxColumn);
            }
            
            public void Setsender_faxNull() {
                this[this.tableCSS_PrintConsNotes1.sender_faxColumn] = System.Convert.DBNull;
            }
            
            public bool Issender_contact_personNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.sender_contact_personColumn);
            }
            
            public void Setsender_contact_personNull() {
                this[this.tableCSS_PrintConsNotes1.sender_contact_personColumn] = System.Convert.DBNull;
            }
            
            public bool Issender_emailNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.sender_emailColumn);
            }
            
            public void Setsender_emailNull() {
                this[this.tableCSS_PrintConsNotes1.sender_emailColumn] = System.Convert.DBNull;
            }
            
            public bool Isrecipient_telephoneNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.recipient_telephoneColumn);
            }
            
            public void Setrecipient_telephoneNull() {
                this[this.tableCSS_PrintConsNotes1.recipient_telephoneColumn] = System.Convert.DBNull;
            }
            
            public bool Isrecipient_nameNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.recipient_nameColumn);
            }
            
            public void Setrecipient_nameNull() {
                this[this.tableCSS_PrintConsNotes1.recipient_nameColumn] = System.Convert.DBNull;
            }
            
            public bool Isrecipient_address1Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.recipient_address1Column);
            }
            
            public void Setrecipient_address1Null() {
                this[this.tableCSS_PrintConsNotes1.recipient_address1Column] = System.Convert.DBNull;
            }
            
            public bool Isrecipient_address2Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.recipient_address2Column);
            }
            
            public void Setrecipient_address2Null() {
                this[this.tableCSS_PrintConsNotes1.recipient_address2Column] = System.Convert.DBNull;
            }
            
            public bool Isrecipient_zipcodeNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.recipient_zipcodeColumn);
            }
            
            public void Setrecipient_zipcodeNull() {
                this[this.tableCSS_PrintConsNotes1.recipient_zipcodeColumn] = System.Convert.DBNull;
            }
            
            public bool Isrecipient_stateNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.recipient_stateColumn);
            }
            
            public void Setrecipient_stateNull() {
                this[this.tableCSS_PrintConsNotes1.recipient_stateColumn] = System.Convert.DBNull;
            }
            
            public bool Isrecipient_faxNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.recipient_faxColumn);
            }
            
            public void Setrecipient_faxNull() {
                this[this.tableCSS_PrintConsNotes1.recipient_faxColumn] = System.Convert.DBNull;
            }
            
            public bool Isrecipient_contact_personNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.recipient_contact_personColumn);
            }
            
            public void Setrecipient_contact_personNull() {
                this[this.tableCSS_PrintConsNotes1.recipient_contact_personColumn] = System.Convert.DBNull;
            }
            
            public bool Isdeclare_valueNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.declare_valueColumn);
            }
            
            public void Setdeclare_valueNull() {
                this[this.tableCSS_PrintConsNotes1.declare_valueColumn] = System.Convert.DBNull;
            }
            
            public bool Iscod_amountNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.cod_amountColumn);
            }
            
            public void Setcod_amountNull() {
                this[this.tableCSS_PrintConsNotes1.cod_amountColumn] = System.Convert.DBNull;
            }
            
            public bool IsremarkNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.remarkColumn);
            }
            
            public void SetremarkNull() {
                this[this.tableCSS_PrintConsNotes1.remarkColumn] = System.Convert.DBNull;
            }
            
            public bool Isreturn_pod_slipNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.return_pod_slipColumn);
            }
            
            public void Setreturn_pod_slipNull() {
                this[this.tableCSS_PrintConsNotes1.return_pod_slipColumn] = System.Convert.DBNull;
            }
            
            public bool Isreturn_invoice_hcNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.return_invoice_hcColumn);
            }
            
            public void Setreturn_invoice_hcNull() {
                this[this.tableCSS_PrintConsNotes1.return_invoice_hcColumn] = System.Convert.DBNull;
            }
            
            public bool IsDangerousGoodsNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.DangerousGoodsColumn);
            }
            
            public void SetDangerousGoodsNull() {
                this[this.tableCSS_PrintConsNotes1.DangerousGoodsColumn] = System.Convert.DBNull;
            }
            
            public bool IsMoreInfoNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.MoreInfoColumn);
            }
            
            public void SetMoreInfoNull() {
                this[this.tableCSS_PrintConsNotes1.MoreInfoColumn] = System.Convert.DBNull;
            }
            
            public bool IsMorePkgsNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.MorePkgsColumn);
            }
            
            public void SetMorePkgsNull() {
                this[this.tableCSS_PrintConsNotes1.MorePkgsColumn] = System.Convert.DBNull;
            }
            
            public bool IsQty1Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.Qty1Column);
            }
            
            public void SetQty1Null() {
                this[this.tableCSS_PrintConsNotes1.Qty1Column] = System.Convert.DBNull;
            }
            
            public bool IsWgt1Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.Wgt1Column);
            }
            
            public void SetWgt1Null() {
                this[this.tableCSS_PrintConsNotes1.Wgt1Column] = System.Convert.DBNull;
            }
            
            public bool IsQty2Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.Qty2Column);
            }
            
            public void SetQty2Null() {
                this[this.tableCSS_PrintConsNotes1.Qty2Column] = System.Convert.DBNull;
            }
            
            public bool IsWgt2Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.Wgt2Column);
            }
            
            public void SetWgt2Null() {
                this[this.tableCSS_PrintConsNotes1.Wgt2Column] = System.Convert.DBNull;
            }
            
            public bool IsQty3Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.Qty3Column);
            }
            
            public void SetQty3Null() {
                this[this.tableCSS_PrintConsNotes1.Qty3Column] = System.Convert.DBNull;
            }
            
            public bool IsWgt3Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.Wgt3Column);
            }
            
            public void SetWgt3Null() {
                this[this.tableCSS_PrintConsNotes1.Wgt3Column] = System.Convert.DBNull;
            }
            
            public bool IsQty4Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.Qty4Column);
            }
            
            public void SetQty4Null() {
                this[this.tableCSS_PrintConsNotes1.Qty4Column] = System.Convert.DBNull;
            }
            
            public bool IsWgt4Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.Wgt4Column);
            }
            
            public void SetWgt4Null() {
                this[this.tableCSS_PrintConsNotes1.Wgt4Column] = System.Convert.DBNull;
            }
            
            public bool IsQty5Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.Qty5Column);
            }
            
            public void SetQty5Null() {
                this[this.tableCSS_PrintConsNotes1.Qty5Column] = System.Convert.DBNull;
            }
            
            public bool IsWgt5Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.Wgt5Column);
            }
            
            public void SetWgt5Null() {
                this[this.tableCSS_PrintConsNotes1.Wgt5Column] = System.Convert.DBNull;
            }
            
            public bool IsQty6Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.Qty6Column);
            }
            
            public void SetQty6Null() {
                this[this.tableCSS_PrintConsNotes1.Qty6Column] = System.Convert.DBNull;
            }
            
            public bool IsWgt6Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.Wgt6Column);
            }
            
            public void SetWgt6Null() {
                this[this.tableCSS_PrintConsNotes1.Wgt6Column] = System.Convert.DBNull;
            }
            
            public bool IsQty7Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.Qty7Column);
            }
            
            public void SetQty7Null() {
                this[this.tableCSS_PrintConsNotes1.Qty7Column] = System.Convert.DBNull;
            }
            
            public bool IsWgt7Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.Wgt7Column);
            }
            
            public void SetWgt7Null() {
                this[this.tableCSS_PrintConsNotes1.Wgt7Column] = System.Convert.DBNull;
            }
            
            public bool IsQty8Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.Qty8Column);
            }
            
            public void SetQty8Null() {
                this[this.tableCSS_PrintConsNotes1.Qty8Column] = System.Convert.DBNull;
            }
            
            public bool IsWgt8Null() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.Wgt8Column);
            }
            
            public void SetWgt8Null() {
                this[this.tableCSS_PrintConsNotes1.Wgt8Column] = System.Convert.DBNull;
            }
            
            public bool IsQtyNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.QtyColumn);
            }
            
            public void SetQtyNull() {
                this[this.tableCSS_PrintConsNotes1.QtyColumn] = System.Convert.DBNull;
            }
            
            public bool IsWgtNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.WgtColumn);
            }
            
            public void SetWgtNull() {
                this[this.tableCSS_PrintConsNotes1.WgtColumn] = System.Convert.DBNull;
            }
            
            public bool IsCopyNameNull() {
                return this.IsNull(this.tableCSS_PrintConsNotes1.CopyNameColumn);
            }
            
            public void SetCopyNameNull() {
                this[this.tableCSS_PrintConsNotes1.CopyNameColumn] = System.Convert.DBNull;
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class CSS_PrintConsNotes1RowChangeEvent : EventArgs {
            
            private CSS_PrintConsNotes1Row eventRow;
            
            private DataRowAction eventAction;
            
            public CSS_PrintConsNotes1RowChangeEvent(CSS_PrintConsNotes1Row row, DataRowAction action) {
                this.eventRow = row;
                this.eventAction = action;
            }
            
            public CSS_PrintConsNotes1Row Row {
                get {
                    return this.eventRow;
                }
            }
            
            public DataRowAction Action {
                get {
                    return this.eventAction;
                }
            }
        }
    }
}
